@media screen and (min-width: 980px) {.t-records {opacity: 0;}.t-records_animated
{-webkit-transition: opacity ease-in-out .2s;-moz-transition: opacity ease-in-out
.2s;-o-transition: opacity ease-in-out .2s;transition: opacity ease-in-out
.2s;}.t-records.t-records_visible {opacity: 1;}}

@import url('https://fonts.googleapis.com/css?family=Overpass:300,400,600,700&display=swap');
body {
  /* background: rgb(245, 248, 250); */
  background: #f6f6f6;
  font-family:  'Avenir Next W02' ,sans-serif;
}

#allrecords a{
  color:#fff;
}
.footer a{
  color:#007bff!important;
}

.AllContent{
  min-height: 91vh;
}
.t-prefix_2 {
  padding-left: 0px;
}
.hide{
  display: none;
}
.cursorPointer{
  cursor: pointer;
}
.t-tildalabel {
    background-color: #fff;
    color: #202e3cdb;
    height: 70px;
    font-size: 14px;
  }
.t-title{
  /*color: #202e3c;*/
  color: #000000;
}

.a5-nav-bar {
}

.pl-0{
  padding-left: 0;
}
.pr-0{
  padding-right: 0;
}

.pb-1{
  padding-bottom: 1rem;
}
.mb-05{
  margin-bottom: 0.5rem;
}

.a5-float-right {
	float: right;
}
.input-error{
  border:2px solid #ff000099;
}

/*-----mobile elements-----*/
@media screen and (min-width: 980px) { #button_login, #button_create_curse {
  height: 56px;
  padding-left:40px;
  padding-right: 40px;
  color:#fff;
  border: solid 1px #fff;
  border-radius:5px;
  -moz-border-radius:5px;
  -webkit-border-radius:5px;
  }
}
@media screen and (max-width: 980px) { #button_login, #button_create_curse {
  height: 45px;
  padding-left:25px;
  padding-right: 25px;
  color:#fff;
  border-radius:5px;
  border: solid 1px #fff;
  -moz-border-radius:5px;
  -webkit-border-radius:5px;
  }
  #rec305856603{
    padding-left:1rem;
  }
  #recorddiv305856602{
    height: 90vh!important;
  }
  #coverCarry305856602{
    height: 90vh!important;
  }
  #rec305856602 .t-cover__filter{
    height: 90vh!important;
  }
  #rec305856602 .t-cover__wrapper{
    height: 80vh!important;
  }
  #rec305856603{
    padding-top:40px!important;
    padding-bottom:0px!important;
  }
  #recEnd{
    padding-left:1rem;
  }
  .end_blockbutton .t-btn{
    display:block!important;
  }
  #recEnd .t-descr{
    padding-bottom:4rem;
  }
  #rec305856605{
    padding-bottom:0!important;
  }
  .t403__title.t-title_xxs{
    font-size: 28px;
    line-height: 1.23;
  }
  .t403__descr.t-descr_sm{
    font-size: 18px;
    line-height: 1.55;
  }
  #rec305856604{
   padding-bottom:0!important;
  }

}


/*-----progress-----*/
.progress {
	display: -ms-flexbox;
	display: flex;
	height: 1rem;
	overflow: hidden;
	font-size: 0.703125rem;
	background-color:#dce0e8;
	border-radius: 3px;
}
.progress-bar {
	display: -ms-flexbox;
	display: flex;
	-ms-flex-direction: column;
	flex-direction: column;
	-ms-flex-pack: center;
	justify-content: center;
	color: #fff;
	text-align: center;
	white-space: nowrap;
	background-color: #007bff; /*#5964ff  ;*/
	transition: width 0.6s ease;
}
.current-progressbar {
	margin-top: 14.5px;
}
.progress-content {
	margin-bottom: 16.5px;
}
.progress-content:last-child{
	margin-bottom:0;
}
@media screen and (prefers-reduced-motion: reduce) {
	.progress-bar {
		transition: none;
	}
}
.progress-bar-striped {
	background-image: linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
	background-size: 1rem 1rem;
}
.progress-bar-animated {
	-webkit-animation: progress-bar-stripes 1s linear infinite;
	animation: progress-bar-stripes 1s linear infinite;
}
.media {
	display: -ms-flexbox;
	display: flex;
	-ms-flex-align: start;
	align-items: flex-start;
}
.media-body {
	-ms-flex: 1;
	flex: 1;
}
.social i{
	font-size:40px;
}
.social .social-icon i{
	font-size:14px;
}
.instagram{
	background:#de497b;
}
.linkedin{
	background:#0077b5;
}
.twitter{
	background:#41a4f7;
}
.facebook{
	background:#3a48a9;
}
/*-----progress-----*/

/*------ progress sizes ------*/
.progress {
	position: relative;
}
.progress-xs, .progress-xs .progress-bar {
	height: .25rem;
}
.progress-sm, .progress-sm .progress-bar {
	height: .5rem;
}
.progress-lg, .progress-lg .progress-bar {
	height: 1.25rem;
}
.progress-bar-indeterminate:after, .progress-bar-indeterminate:before {
	content: '';
	position: absolute;
	background-color: inherit;
	left: 0;
	will-change: left, right;
	top: 0;
	bottom: 0;
}
.progress-bar-indeterminate:before {
	-webkit-animation: indeterminate 2.1s cubic-bezier(0.65, 0.815, 0.735, 0.395) infinite;
	animation: indeterminate 2.1s cubic-bezier(0.65, 0.815, 0.735, 0.395) infinite;
}
.progress-bar-indeterminate:after {
	-webkit-animation: indeterminate-short 2.1s cubic-bezier(0.165, 0.84, 0.44, 1) infinite;
	animation: indeterminate-short 2.1s cubic-bezier(0.165, 0.84, 0.44, 1) infinite;
	-webkit-animation-delay: 1.15s;
	animation-delay: 1.15s;
}
@-webkit-keyframes loader {
	from {
		-webkit-transform: rotate(0deg);
		transform: rotate(0deg);
	}
	to {
		-webkit-transform: rotate(360deg);
		transform: rotate(360deg);
	}
}
@keyframes loader {
	from {
		-webkit-transform: rotate(0deg);
		transform: rotate(0deg);
	}
	to {
		-webkit-transform: rotate(360deg);
		transform: rotate(360deg);
	}
}
/*------ progress sizes ------*/



/*  AVATAR IMG ROUND */
.circular--landscape {
  display: inline-block;
  position: relative;
  width: 200px;
  height: 200px;
  overflow: hidden;
  border-radius: 50%;
}
.circular--landscape img {
  width: auto;
  height: 100%;
  /*margin-left: -50px;*/
}
.circular--portrait {
  position: relative;
  width: 200px;
  height: 200px;
  overflow: hidden;
  border-radius: 50%;
}

.circular--portrait img {
  width: 100%;
  height: auto;
}

.circular--landscape .image {
  display: block;
  width: 100%;
  height: auto;
}
.circular--landscape .overlay {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  height: 100%;
  width: 100%;
  opacity: 0;
  transition: .5s ease;
  background-color: #00000088;
}
.circular--landscape:hover .overlay {
  opacity: 1;
}
.text {
  color: white;
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  text-align: center;

  width: 100%;
  font-size: 26px;
}
.text .btn-cam, .text .btn-d, .detailBlocks .btn-d{
  padding: 8px 18px;
  border: 1px solid #fff;
  border-radius: 4px;
}
.coverVideoDefoult .btn-d{
  /*border: 1px solid #5a5d61cc;*/
  border:2px solid #202e3ccc;
  /*color: #5a5d61cc;*/
  color:#202e3ccc;
  font-size: 22px;
  margin-top: -60px;
}


/*  END AVATAR IMG ROUND */

/*  COVER IMG ROUND */
/*
.cover--landscape {
  display: inline-block;
  position: relative;
  width: 200px;
  height: 200px;
  overflow: hidden;
  border-radius: 50%;
}
.cover--landscape img {
  width: auto;
  height: 100%;
}

.image {
  display: block;
  width: 100%;
  height: auto;
}
*/
.cover--landscape .overlay {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  height: 100%;
  width: 100%;
  opacity: 0;
  transition: .5s ease;
  background-color: #00000088;
}
.cover--landscape:hover .overlay {
  opacity: 1;
}
/* есть в AVATAR
.text {
  color: white;
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  text-align: center;

  width: 100%;
  font-size: 26px;
}
.text .btn-cam, .text .btn-d{
  padding: 8px 18px;
  border: 1px solid #fff;
  border-radius: 4px;
}
*/
/*  END COVER IMG ROUND */


.detailBlock .avatar-round{
  width: 200px;
  height: 200px;
  border-radius: 50%;
}
.a5-nav-bar .avatar a{
  padding-left: 10px;
}
.a5-nav-bar .avatar-round {
	width: 60px;
  height: 60px;
	border-radius: 60px;
	border: 5px solid #fff;
}
.footerDetail .block-prices{
  margin: 0px 0px;
  padding: 20px 20px;
}
.footerDetail{
  width: 100%;
  position: fixed;
  bottom: 0;
  background: #fff;
  text-align: center;
  z-index: 1050;
}
.block-prices{
  margin: 20px 0px;
  padding-top: 20px;
}
.a5-btn {
    display: inline-block;
    height: 40px;
    border: 0 none;
    font-size: 16px;
    padding-left: 40px;
    padding-right: 40px;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    font-weight: 700;
    background-image: none;
    cursor: pointer;
    -webkit-appearance: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    user-select: none;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
.a5-btn.light{
  border: 1px solid #324079;
  background-color:inherit;
  color: #324079;
}

.price{
  font-size: 26px;
  font-weight: 400;
  color:#202e3c;
}
.price-old{
  font-size: 22px;
  font-weight: 200;
  color:#202e3c;
  text-decoration: line-through;
}
.detailContent{
/*  padding-left: 15px; */
}

.detailContent .t-descr{
  font-weight: 400;
}

.detailBlockVideo{
  padding-bottom: 40px;
}

.VideoPlayer{
  width:  70%;
}
@media (max-width: 930px){
  .VideoPlayer{
    width:  100%;
  }
}
.coverVideoDefoult{
  /*background: #e3e5e6bf;*/
  border: 3px solid #7a7c7db5;
  width:  70%;
/*  max-width: 854px; */
/*  height: 480px; */
  height: 50vh;
  vertical-align: middle;
}
@media (max-width: 930px){
  .coverVideoDefoult{
    width:  100%;
  }
}


.coverVideoDefoult .progressUpload{
  margin-top: 20px;
  width: 40%;
}
.coverVideoDefoult{
  padding: 15px;
}
.drag-n-drop-hover-sendFile{
	border: 4px dashed #1e477177;
	border-radius: 8px;
	/*background-image: url("data:image/svg+xml;utf8,<svg width='100%' height='100%' xmlns='http://www.w3.org/2000/svg'><rect width='100%' height='100%' style='fill: none; stroke: red; stroke-width: 4; stroke-dasharray: 20 40'/></svg>");*/
}


}
.progress .bg-blue {
  background-color: #016ef3!important;
}
.fileNameUpload{
  font-weight: 600;
  color: #202e3c;
}
.MultiFile-label{
  font-weight: 600;
  color: #202e3cbf;
  font-size: 16px;
}
.MultiFile-remove-saved{
  cursor: pointer;
}
.MultiFile-label a{
  color: #202e3cbf!important;
}
.modal .MultiFile-label{
  font-size: 14px;
}
.detailBlock{
  padding-bottom: 70px;
  border-top: 1px solid #dcdcdc;
  padding-top: 15px;
  font-size: 20px;
  margin-bottom: 0;
}
.attachmentsLabel{
  font-weight: 300;
  font-size: 18px;
  color: #202e3cc7;
}
.detailBlock p{
  font-weight: 400;
}


.detailBlock .t-descr_xs{
  font-size: 20px;
}

.hoverVisebleEditBlock{
  border-top: 2px solid #202e3c;  /* dashed */
  border-bottom: 2px solid #202e3c;
}
.detailBlockContent .itemAction {
  color: #202e3c9e;
}
.editParagraph .actionsEditParagraph{
  margin-right: -25px;
  margin-top: -45px;
}

.actionsEdit {
  margin-top: 30px;
  display: none;
}

.blockProductCover .actionsEdit {
  font-size: 26px;
  margin-top: 5px;
}
.blockProductCover .itemAction{
  color: #0a0d10;
}

.visebleEditBlock .actionsEdit {
  font-size: 26px;
}
.actionsEdit .itemAction{
  padding-right: 10px;
}
.itemAction i{
  cursor: pointer;
}
.hoverVisebleEditBlock .actionsEdit{
  display: block;
}
.template{
  display: none;
}
.blockAutor{
 padding-top: 20px;
 border-top: 0px solid #dcdcdc;
}

.detailBlockTitle{
  padding-top: 20px;
  font-size: 32px;
}

.detailBlockContent.Autor p{
  margin-bottom: 3px;
}

.detailBlockContent.Description, .detailBlockContent.ForWhom, .detailBlockContent.Autor{
  font-size: 20px;
}

.dateProductContent{
  margin: 40px 0px;
}

.Autor .nameAutor{
  font-size: 24px;
  font-weight: 600;
  color: #202e3c;
}
.Autor .titleAutor{
  font-weight: 400;
  color: #202e3c;
}
.Autor .descriptionAutor{
  font-size: 18px;
}

.detailBlockContent.Skills i{
  margin-bottom: -5px;
  margin-right: 5px;
  font-size: 22px;
  font-weight: 600;
}

.detailTitle i{
  font-size: 24px;
}
.editPencil{
  margin-left: 25px;
  cursor: pointer;
  color: #202e3ca1;
}



/* Tooltip */
.bs-tooltip-top .arrow::before, .bs-tooltip-auto[x-placement^="top"] .arrow::before {
    border-top-color: #202e3c; /* цвет стрелочки (по умолчанию #000)*/
}
.bs-tooltip-right .arrow::before, .bs-tooltip-auto[x-placement^="right"] .arrow::before {
    border-right-color: #202e3c; /* цвет стрелочки (по умолчанию #000)*/
}
.bs-tooltip-bottom .arrow::before, .bs-tooltip-auto[x-placement^="bottom"] .arrow::before {
    border-bottom-color: #202e3c; /* цвет стрелочки (по умолчанию #000) */
}
.bs-tooltip-left .arrow::before, .bs-tooltip-auto[x-placement^="left"] .arrow::before {
    border-left-color: #202e3c; /* цвет стрелочки (по умолчанию #000) */
}
.tooltip-inner {
  /*  max-width: 250px; *//* максимальная ширина подсказки (по умолчанию 200px) */
    color: #fff; /* цвет шрифта */
    background-color: #202e3c; /* цвет фона (по умолчанию #000) */
  /*  border-radius: 0.25rem; *//* радиус скругдения углов */
}
.tooltip{
    z-index:980;
}
/* topMenu  */
.topMenu .t-btn{
  font-weight: 600;
  color: #202e3c;
}
.topMenu .t-btn i{
  font-size: 26px; /*26*/
}

.t228 .t-btn {
    height: 40px;
    font-size: 14px;
    padding-left: 20px;
    padding-right: 20px;
    margin-left: 0px;
}

.a5-nav-bar a:hover{
  color:#007bff;
}

/* End topMenu  */
/* Footer  */
.footer {
    padding: 10px 0 ;
    height: 80px;
    text-align: center;
    background-color: #fff;
    color: #202e3cdb;
    font-size: 14px;
    z-index:1;
}
.footer .container{
  padding-top:20px;
}
/* End Footer   */

/* List Lesson  */
.ModuleHeaderTitle  a {
  color: #202e3c!important;
}
.ModuleHeaderTitle  a:hover {
  color: #202e3ca6!important;
}

.ListLesson .t403__separator {
  padding-top: 45%;
}
.ItemLesson{
  padding: 40px 40px;
  background-color: #fff;
  border-radius: 15px;
  margin-bottom: 20px;
}

.ItemLesson .t-title{
  font-size: 30px;
  color: #202e3cdd
}
.ItemLesson .t-descr{
  font-weight: 400;
  color: #202e3c;
}

/* End List Lesson */

/* Detail Lesson */
.detailSubTitle{
  font-size: 20px;
}
.LessonDetailContent  a, .LessonEditContent  a {
  color: #202e3ccc!important;
}
.LessonDetailContent a:hover, .LessonEditContent a:hover {
  color: #202e3ca6!important;
}
.detailBlockVideo{
  padding-top: 30px;
  text-align: center;
}
.LessonDetailContent .detailBlockVideo .video-js .vjs-big-play-button{
  top: 45%;
  left: 45%;
}
.video-js .vjs-big-play-button{
  background-color:#202e3cde;
}
.video-js .vjs-big-play-button:hover{
  background-color:#202e3cde;
}
.LessonDetailContent .detailBlockTitle, .LessonEditContent .detailBlockTitle {
  padding-top: 10px;
}
.LessonDetailContent .buttonSendHomeWork, .LessonEditContent .buttonSendHomeWork{
  padding-top: 20px;
}
.actionsEditButtonSendHomeWork {
  margin-top: -40px;
  margin-left: 260px;
  color:#202e3c9e;
}
/* List Products */
.listContent .t-descr{
  min-height: 120px;
}
.emptyListProducts{
  height: calc(100vh - 380px);
  text-align: center;
  padding-top: 100px;
  font-size: 20px;
}

.emptyListProducts a{
  font-size: 20px;
}
/* END List Products */


/* End Detail Lesson */

/* Edit  */
.topBarEditorMenu{
  background-color: #202e3c99;
  top: 80px;
  height: 60px;
  vertical-align: middle!important;
}
.topBarEditorMenu .t-btn{
  color: #dcdcdc!important;
  height: 35px;
  font-size: 16px;
  padding-left: 20px;
  padding-right: 20px;
  margin-left: 0px;
}
.topBarEditorMenu .t228__right_buttons_but a{
  margin-right: 20px;
  border: 2px solid #dcdcdc;
  border-radius: 5px;
}
.detailEditContent{
  padding-top: 60px;
}

/* End Edit  */

/* Modal */

/* Close Modal Кнопка */
.closeModalBootomHover{
	padding: 0.3rem;
	border-radius: 1.2rem;
}
.closeModalBootomHover:hover{
	opacity: 1;
	background-color: #1e477111;
	border-radius: 1.2rem;
}

.closeModalBootom {
  width: 32px;
  height: 32px;
  opacity: 1;
}
.closeModalBootom:hover {
  opacity: 1;
}
.closeModalBootom:before, .closeModalBootom:after , #overlayPage .closeModalBootom:before, #overlayPage .closeModalBootom:after{
  position: absolute;
  content: ' ';
  height: 18px;
  width: 2px;
  background-color: #21252A; /*#1e4771;*/
  margin-left: 0.9em;
  margin-top: 0.5rem;
}
.closeModalBootom:before {
  transform: rotate(45deg);
}
.closeModalBootom:after {
  transform: rotate(-45deg);
}
/* For Dark Header */
.darkHederModal .closeModalBootomHover:hover{
   background-color: #b9c5d27a;
}
.darkHederModal .closeModalBootom:before, .darkHederModal .closeModalBootom:after {
	background-color: #fff;
}
.overlayHeader .closeModalBootom:before, .overlayHeader .closeModalBootom:after {
	background-color: #1e4771;
}
.modalActions a{
  text-decoration: none;
}
/* END Modal Кнопка */
.modal-header-title{
  font-size: 22px;
  font-weight: 600;
  margin-top: 5px;
  padding-left: 15px;
}
@media screen and (min-width: 600px) {
  .modal-dialog{
    min-width: 600px;
  }
  .ModalSendHomeWork.modal-dialog{
    min-width: 600px;
  }
}

@media screen and (min-width: 800px) {
  .ModalSendHomeWork.modal-dialog{
    min-width: 800px;
  }
}

.modal-header{

}
.modal-body{
 background: #f5f8fa;
 min-height: 200px;
}

.modal-footer a{
  color:#212529!important;
  text-align: center;
}
.modal-footer {
  padding: 1.2rem;
}
.modal-footer .modalActions{
  text-align: center;
  font-weight: 600;
}
.a5-btn-success{
  padding: 8px 18px;
  border: 2px solid #5a5d61cc;
  color: #5a5d61cc;
  border-radius: 4px;
}
.a5-btn-cancel{
  padding: 8px 18px;
  color: #5a5d61cc;
  border-radius: 4px;
}
.a5-btn-defoult-liht {
    padding: 8px 18px;
    border: 2px solid #5a5d61cc;
    color: #5a5d61cc;
    border-radius: 4px;
}
.Modal-Download-Avatar .modal-body, .Modal-Cam-Avatar .modal-body, .Modal-Cam-Stream .modal-body, .Modal-Download-Сover .modal-body{
  padding-top: 40px;
  text-align: center;
}
.Modal-Cam-Stream .modal-body{
  vertical-align: middle;
  min-height: 460px;
}
.buttonUpload{
  font-weight: 600;
}
.Modal-Download-Сover .modal-dialog{
  max-width: fit-content;
}

.myModal2{
  z-index: 5000;
}
.myModal3{
  z-index: 6000;
}

.ModalConfirm .modal-message, .ModalAlert .modal-message,  .ModalPromt .modal-message{
  font-weight: 600;
  color: #131c25;
  padding: 0px 20px;
}
.ModalConfirm .modal-message{
  border-left: 6px solid #cc5a5acc;
}
.ModalAlert .modal-message{
   border-left: 6px solid #5f729ecc;
}
.ModalAlert.error .modal-message{
   border-left: 6px solid #cc5a5acc;
}
.ModalConfirm .modal-body, .ModalAlert .modal-body,  .ModalPromt .modal-body{
 background: #f5f8fa;
 min-height: auto;
 padding: 40px 50px 40px 90px;
}
.alert-dark {
  color: #1b1e21;
  background-color: #e9f4fb;
  border-color: #c6c8ca;
}

.form-control[readonly] {
  background-color: #ffffff;
}

/* END Modal */

/* Daterangepicker Календарь и часы всплывающие*/
.ui-timepicker-selected, .ui-timepicker-selected:hover {
 background: #1e4771f5!important;
 color: #fff!important;
}
.ui-timepicker-list>li:hover{
	background: #1e4771f5!important;
	color: #fff!important;
}

.daterangepicker td.active, .daterangepicker td.active:hover {
	background-color: #1e4771f5!important;
}
/* END Daterangepicker Календарь и часы всплывающие*/

/* Field */
.fieldLabel{
  color: #202e3ccf;
}
.fieldValue{
  color: #010d1b;
}

.EditForm .row{
  padding-top: 15px;
}





/*  Price */

.border-primary {
    border-color: #000243!important;
}
.bg-primary{
  background-color: #000243!important;
}

.btn-outline-primary{
    color: #000243;
    border-color: #000243;
}
.btn-outline-primary:hover{
   color: #202e3c;
   background-color: #fff;
   border-color: #000243;
}
button,
button:active,
button:focus {
    outline: none;
    box-shadow:none;
}
.btn-check:focus+.btn-outline-primary, .btn-outline-primary:focus,  .btn-outline-primary:active{
    box-shadow:  none;
}



/* END Price */














/* ALL LOADERS */
.loading{
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: -1;
}

.loading_background {
  background-color: #c7c7c736; /* Чёрный фон */
  background: rgba(0, 0, 0, .8);
  height: 100%; /* Высота максимальна */
  left: 0; /* Нулевой отступ слева */
  opacity: 0.7; /* Степень прозрачности */
  position: fixed; /* Фиксированное положение */
  top: 0; /* Нулевой отступ сверху */
  width: 100%; /* Ширина максимальна */
  z-index: 2000; /* Заведомо быть НАД другими элементами */
}


.loader{
  top: 50%;
  width: 150px;
  height: 150px;
  border-radius: 100%;
  position: relative;
  margin: 0 auto;
}

/* LOADER 1 */

#loader-1:before, #loader-1:after{
  content: "";
  position: absolute;
  top: -100px;
  left: -10px;
  width: 100%;
  height: 100%;
  border-radius: 100%;
  border: 10px solid transparent;
  border-top-color: #03081d;  /* #3498db*/
}

#loader-1:before{
  z-index: 100;
  animation: spin 1s infinite;
}

#loader-1:after{
  border: 10px solid #ccc;  /* #ccc  */
}

@keyframes spin{
  0%{
    -webkit-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }

  100%{
    -webkit-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

/* LOADER 2 */

#loader-2 span{
  display: inline-block;
  width: 20px;
  height: 20px;
  border-radius: 100%;
  background-color: #3498db;
  margin: 35px 5px;
}

#loader-2 span:nth-child(1){
  animation: bounce 1s ease-in-out infinite;
}

#loader-2 span:nth-child(2){
  animation: bounce 1s ease-in-out 0.33s infinite;
}

#loader-2 span:nth-child(3){
  animation: bounce 1s ease-in-out 0.66s infinite;
}

@keyframes bounce{
  0%, 75%, 100%{
    -webkit-transform: translateY(0);
    -ms-transform: translateY(0);
    -o-transform: translateY(0);
    transform: translateY(0);
  }

  25%{
    -webkit-transform: translateY(-20px);
    -ms-transform: translateY(-20px);
    -o-transform: translateY(-20px);
    transform: translateY(-20px);
  }
}

/* LOADER 3 */

#loader-3:before, #loader-3:after{
  content: "";
  width: 20px;
  height: 20px;
  position: absolute;
  top: 0;
  left: calc(50% - 10px);
  background-color: #3498db;
  animation: squaremove 1s ease-in-out infinite;
}

#loader-3:after{
  bottom: 0;
  animation-delay: 0.5s;
}

@keyframes squaremove{
  0%, 100%{
    -webkit-transform: translate(0,0) rotate(0);
    -ms-transform: translate(0,0) rotate(0);
    -o-transform: translate(0,0) rotate(0);
    transform: translate(0,0) rotate(0);
  }

  25%{
    -webkit-transform: translate(40px,40px) rotate(45deg);
    -ms-transform: translate(40px,40px) rotate(45deg);
    -o-transform: translate(40px,40px) rotate(45deg);
    transform: translate(40px,40px) rotate(45deg);
  }

  50%{
    -webkit-transform: translate(0px,80px) rotate(0deg);
    -ms-transform: translate(0px,80px) rotate(0deg);
    -o-transform: translate(0px,80px) rotate(0deg);
    transform: translate(0px,80px) rotate(0deg);
  }

  75%{
    -webkit-transform: translate(-40px,40px) rotate(45deg);
    -ms-transform: translate(-40px,40px) rotate(45deg);
    -o-transform: translate(-40px,40px) rotate(45deg);
    transform: translate(-40px,40px) rotate(45deg);
  }
}

/* LOADER 4 */

#loader-4 span{
  display: inline-block;
  width: 20px;
  height: 20px;
  border-radius: 100%;
  background-color: #3498db;
  margin: 35px 5px;
  opacity: 0;
}

#loader-4 span:nth-child(1){
  animation: opacitychange 1s ease-in-out infinite;
}

#loader-4 span:nth-child(2){
  animation: opacitychange 1s ease-in-out 0.33s infinite;
}

#loader-4 span:nth-child(3){
  animation: opacitychange 1s ease-in-out 0.66s infinite;
}

@keyframes opacitychange{
  0%, 100%{
    opacity: 0;
  }

  60%{
    opacity: 1;
  }
}

/* LOADER 5 */

#loader-5 span{
  display: block;
  position: absolute;
  left: calc(50% - 20px);
  top: calc(50% - 20px);
  width: 20px;
  height: 20px;
  background-color: #3498db;
}

#loader-5 span:nth-child(2){
  animation: moveanimation1 1s ease-in-out infinite;
}

#loader-5 span:nth-child(3){
  animation: moveanimation2 1s ease-in-out infinite;
}

#loader-5 span:nth-child(4){
  animation: moveanimation3 1s ease-in-out infinite;
}

@keyframes moveanimation1{
  0%, 100%{
    -webkit-transform: translateX(0px);
    -ms-transform: translateX(0px);
    -o-transform: translateX(0px);
    transform: translateX(0px);
  }

  75%{
    -webkit-transform: translateX(30px);
    -ms-transform: translateX(30px);
    -o-transform: translateX(30px);
    transform: translateX(30px);
  }
}

@keyframes moveanimation2{
  0%, 100%{
    -webkit-transform: translateY(0px);
    -ms-transform: translateY(0px);
    -o-transform: translateY(0px);
    transform: translateY(0px);
  }

  75%{
    -webkit-transform: translateY(30px);
    -ms-transform: translateY(30px);
    -o-transform: translateY(30px);
    transform: translateY(30px);
  }
}

@keyframes moveanimation3{
  0%, 100%{
    -webkit-transform: translate(0px, 0px);
    -ms-transform: translate(0px, 0px);
    -o-transform: translate(0px, 0px);
    transform: translate(0px, 0px);
  }

  75%{
    -webkit-transform: translate(30px, 30px);
    -ms-transform: translate(30px, 30px);
    -o-transform: translate(30px, 30px);
    transform: translate(30px, 30px);
  }
}

/* LOADER 6 */

#loader-6{
  top: 40px;
  left: -2.5px;
}

#loader-6 span{
  display: inline-block;
  width: 5px;
  height: 20px;
  background-color: #3498db;
}

#loader-6 span:nth-child(1){
  animation: grow 1s ease-in-out infinite;
}

#loader-6 span:nth-child(2){
  animation: grow 1s ease-in-out 0.15s infinite;
}

#loader-6 span:nth-child(3){
  animation: grow 1s ease-in-out 0.30s infinite;
}

#loader-6 span:nth-child(4){
  animation: grow 1s ease-in-out 0.45s infinite;
}

@keyframes grow{
  0%, 100%{
    -webkit-transform: scaleY(1);
    -ms-transform: scaleY(1);
    -o-transform: scaleY(1);
    transform: scaleY(1);
  }

  50%{
    -webkit-transform: scaleY(1.8);
    -ms-transform: scaleY(1.8);
    -o-transform: scaleY(1.8);
    transform: scaleY(1.8);
  }
}

/* LOADER 7 */

#loader-7{
  -webkit-perspective: 120px;
  -moz-perspective: 120px;
  -ms-perspective: 120px;
  perspective: 120px;
}

#loader-7:before{
  content: "";
  position: absolute;
  left: 25px;
  top: 25px;
  width: 50px;
  height: 50px;
  background-color: #3498db;
  animation: flip 1s infinite;
}

@keyframes flip {
  0% {
    transform: rotate(0);
  }

  50% {
    transform: rotateY(180deg);
  }

  100% {
    transform: rotateY(180deg)  rotateX(180deg);
  }
}

/* LOADER 8 */

#loader-8:before{
  content: "";
  position: absolute;
  width: 10px;
  height: 10px;
  top: calc(50% - 10px);
  left: 0px;
  background-color: #3498db;
  animation: rotatemove 1s infinite;
}

@keyframes rotatemove{
  0%{
    -webkit-transform: scale(1) translateX(0px);
    -ms-transform: scale(1) translateX(0px);
    -o-transform: scale(1) translateX(0px);
    transform: scale(1) translateX(0px);
  }

  100%{
    -webkit-transform: scale(2) translateX(45px);
    -ms-transform: scale(2) translateX(45px);
    -o-transform: scale(2) translateX(45px);
    transform: scale(2) translateX(45px);
  }
}
/* END ALL LOADERS */
